package dev.fitko.fitconnect.client.cmd.batch;

import java.io.IOException;
import java.util.List;

public interface BatchImporter {

    /**
     * Read data from path to list of ImportRecords.
     *
     * @param path to the file that should be imported
     *
     * @return List of mapped records
     *
     * @throws IOException if the path could not be read or the import failed
     */
    List<ImportRecord> readRecords(String path);
}
