package dev.fitko.fitconnect.client.model;

import lombok.Builder;
import lombok.Getter;
import lombok.With;

import java.io.File;
import java.util.UUID;

@With
@Getter
@Builder
public class AttachmentPayload {
    private File file;
    private byte[] rawData;
    private String hashedData;
    private String encryptedData;
    private String mimeType;
    private UUID attachmentId;
}
