package dev.fitko.fitconnect.api.domain.model.metadata;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Map;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AdditionalReferenceInfo {

    @JsonProperty("senderReference")
    private String senderReference;

    @JsonProperty("applicationDate")
    private String applicationDate;

    @JsonIgnore
    private Map<String, Object> additionalProperties;
}

