package dev.fitko.fitconnect.client.model;

import dev.fitko.fitconnect.api.domain.model.metadata.data.MimeType;
import lombok.Builder;
import lombok.Getter;
import lombok.With;

import java.net.URI;

@With
@Getter
@Builder
public class DataPayload {
    private byte[] rawData;
    private String hashedData;
    private String encryptedData;
    private MimeType mimeType;
    private URI schemaUri;
}
